<div [formGroup]="form">
  <div class="row mb-3">
      <h3>Opleiding  <a type="button" class="btn btn-outline-secondary btn-sm mt-1 " (click)="addOpleiding()">
        <add-item-svg></add-item-svg>
      </a></h3>
  </div>
  <div class="row">
    <div class="col-12">
      <div formArrayName="opleiding" *ngFor="let opleidingControl of t.controls; let i=index">
        <div [formGroupName]="i">
          <div class="row">
            <div class="col-4">
              <label>Niveau Opleiding <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De code die het niveau van de OPLEIDING aangeeft." tooltipClass="custom" for="clicked"></i></label>
              <div class="input-group">
                <select-enum [control]='$any(opleidingControl.get("codeNiveauOpleiding"))'
                             [values]="codeNiveauOpleidingValues"></select-enum>
              </div>

              <label>Diploma behaald <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="Indicatie die aangeeft of voor de OPLEIDING een diploma, een getuigschrift of één of meer (deel-)certifica(a)t(en) is behaald." tooltipClass="custom" for="clicked"></i></label>
              <div class="input-group">
                <select-enum [control]='$any(opleidingControl.get("indicatieDiploma"))'
                             [values]="indicatieDiplomaValues"></select-enum>
              </div>
            </div>

            <div class="col-7">
              <app-opleidingsnaam-form
                (formReady)="updateOpleidingsnaam($any(opleidingControl), $event)"></app-opleidingsnaam-form>
            </div>

            <div class="col-1 align-self-center">
              <button type="button" class="btn btn-outline-danger" (click)="removeOpleiding(i)">
                <remove-item-svg></remove-item-svg>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <pre *ngIf="vraagVacatureObject?.opleiding">
  {{ vraagVacatureObject?.opleiding | json }}
  </pre>


</div>
